long zufallszahl;

void setup() {
  Serial.begin(9600);
  randomSeed(analogRead(0));
}

double findRandomFloatpointNumber() {
  zufallszahl = random(100);
  return zufallszahl * 0.835;
}

//Funktion zum runden einer Gleitkommazahl
//auf eine Stelle nach dem Komma.
double roundWithDigits(double value, int digits) {
  return floor(value * pow(10, digits)) / pow(10, digits);
}

void loop() {
  double value = findRandomFloatpointNumber();
  Serial.print("Zufallszahl: ");
  Serial.print(value);

  double gerundeterWert = round(value);
  Serial.print(" > gerundet: ");
  Serial.print(gerundeterWert);

  double gekuerzteZahl = roundWithDigits(value, 1);
  Serial.print(" > gekürzte Zahl: ");
  Serial.println(gekuerzteZahl);

  delay(500);
}